[package]
name = "clean-copy"
version = "0.1.0"
description = "A Tauri App"
authors = ["Stevan Freeborn"]
edition = "2021"
default-run = "clean-copy"

[lib]
name = "tauri_app_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build = { version = "2", features = [] }

[dependencies]
shared = { path = "../../shared" }
tauri = { version = "2", features = ["tray-icon", "image-png"] }
tauri-plugin-opener = "2"
serde = { workspace = true }
serde_json = { workspace = true }
tauri-plugin-store = "2.4.3"
tauri-plugin-global-shortcut = "2.3.2"
tauri-plugin-clipboard-manager = "2.3.2"
tauri-plugin-notification = "2.3.3"
tauri-plugin-process = "2.3.1"
tauri-plugin-autostart = "2.5.1"
winreg = "0.56.0"
ed25519-dalek = "3.0.0"
base64 = "0.22.1"
sha2 = "0.11.0"
ureq = { version = "2.9", features = ["json"] }
getrandom = "0.2"
ctrlc = "3.4"
log = { workspace = true }
tauri-plugin-log = "2.0.0"
clipboard-win = { version = "5.4.1", features = ["monitor"] }
